#include "creddy.h"

#include <credentials/certificates/ac.h>

void roles_main(options_t *opts) {
    if (opts->cert == NULL)
        usage(opts);

    certificate_t *cert = attr_cert_from_file(opts->cert);

    ac_t *ac = (ac_t *)cert;
    ietf_attributes_t *attr = ac->get_groups(ac);
    if (attr == NULL)
        errx(1, "Couldn't get attributes from cert");

    puts(attr->get_string(attr));

    DESTROY_IF(attr);
    DESTROY_IF(cert);
}
